% <script_classify.m: Script for preparing data for SVM based classification>
%     Copyright (C) <2017>  <Safoura Rezapour Lakani>
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

%%

function script_classify(y_train,l_train,y_tests,l_tests,config)

fprintf('to learn linear model.\n');
base_name = config.data_path;
dir_name = strcat(base_name,'linear-',config.svm_cvt_dir);
mkdir(dir_name);
t = templateSVM('Standardize',1,'KernelFunction','linear');
 [ConfMat,acc,oofLabel,Mdl,l_predict,score_predict,ConfMat_predict] = ...
     classify_cicoc(y_train,l_train,y_tests,l_tests,t,dir_name);

 
 fprintf('to learn gaussian model.\n');
 t = templateSVM('Standardize',1,'KernelFunction','gaussian');
 dir_name = '';
 dir_name = strcat(base_name,'rbf-',config.svm_cvt_dir);
 mkdir(dir_name);
 [ConfMat_g,acc_g,oofLabel_g,Mdl_g,l_predict_g,score_predict_g,ConfMat_predict_g] = ...
     classify_cicoc(y_train,l_train,y_tests,l_tests,t,dir_name);

 fprintf('Done!!!!.\n');
