/*<main.cpp: main function for feature extraction>
    Copyright (C) <2017>  <Safoura Rezapour Lakani>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <iostream>
#include "vision.h"

int main(int argc,char **argv)
{
  vision* vis = new vision();

	string cmd = argv[1];
	if(cmd == "train")
	{
		cout << "to extract features for train data" << endl;
		vis->files_path_ = argv[2];
		vis->path_fets_txt = argv[3];
		vis->parts_path = argv[4];
		vis->learn_parts_features_pcl();
		vis->extract_between_patch_features();
	}
	else if(cmd == "testp")
	{
		cout << "to extract features for test data with planar segmentation" << endl;		
		vis->files_path_ = argv[2];
		vis->path_fets_txt = argv[3];
		vis->parts_path = argv[4];
		vis->learn_parts_features_pcl_test_planar_seg();
		vis->extract_between_patch_features();		
	}
	else if(cmd == "test")
	{
		cout << "to extract features for test data" << endl;		
		vis->files_path_ = argv[2];
		vis->path_fets_txt = argv[3];
		vis->parts_path = argv[4];
		vis->learn_parts_features_pcl_test();
		vis->extract_between_patch_features();		
	}	


  return 0;
}
