% <patch_clustering.m: Clusters patches based on k-means algorithm>
%     Copyright (C) <2017>  <Safoura Rezapour Lakani>
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

%%
function means = patch_clustering(trains,y_train,config)

%path = '/home/c7031086/Documents/codes/3dv-codes/code_matlab_3dv/data_3dv/';
path = config.data_path;

k = 50;
options = statset('UseParallel',0);
[id_cls,means] = kmeans(trains.histn',k,'Options',options);

cls_name = strcat(path,'cluster_ids_pcd.mat');
save(cls_name,'id_cls');

%m_name = strcat(path,'means_pcd.mat');
m_name = strcat(path,config.patch_cls_mat);
save(m_name,'means');
return;

[id_cls_s,means_s] = kmeans(y_train',k,'Options',options);

cls_name = '';
cls_name = strcat(path,'cluster_ids_sparse.mat');
save(cls_name,'id_cls_s');

m_name = '';
m_name = strcat(path,'means_sparse.mat');
save(m_name,'means_s');

