% <train_curvature_classifier.m: Fucntion to split the curvature between patches if they belong to the same part or not>
%     Copyright (C) <2017>  <Safoura Rezapour Lakani>
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

%%
function [p_trs,l_trs] = train_curvature_classifier(train_parts)

p_trs = [];
l_trs = [];

cid = 1;
for i = 1:numel(train_parts.segs)
    p = train_parts.parts{i};
    c = train_parts.cvts{i};
    s = train_parts.segs{i};
    
    for r = 1:size(c,1)
        id1 = c(r,1);
        id2 = c(r,2);
        cvt = c(r,3);
        
        p_id1 = 0;
        p_id2 = 0;
        
        for r1 = 1:size(p,1)
            if(p(r1,2) == id1)
                p_id1 = p(r1,1);
            end
            if(p(r1,2) == id2)
                p_id2 = p(r1,1);
            end           
        end
        if(p_id1 == p_id2)
            p_trs(cid) = cvt;
            l_trs(cid) = 1;
        else
            p_trs(cid) = cvt;
            l_trs(cid) = 2;
        end
        cid = cid + 1;
    end
    
end

